package com.ccwangluo.im;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;

import com.ccwangluo.ccim.CCClient;
import com.ccwangluo.ccim.listener.ResultCallback;
import com.ccwangluo.im.databinding.FragmentFirstBinding;

public class FirstFragment extends Fragment {

    private FragmentFirstBinding binding;

    @Override
    public View onCreateView(
            LayoutInflater inflater, ViewGroup container,
            Bundle savedInstanceState
    ) {

        binding = FragmentFirstBinding.inflate(inflater, container, false);
        return binding.getRoot();

    }

    public void onViewCreated(@NonNull View view, Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        CCClient.getInstance().init(getActivity());
        binding.buttonLogin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().login("user1","123456",new ResultCallback<String>(){
                    @Override
                    public void onSuccess(String s) {

                    }
                });
            }
        });

        binding.connectChatServer.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().connectChatServer();
            }
        });

        binding.getChatList.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().getChatList();
            }
        });

        binding.getOfflineMessage.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().getOfflineMessage();
            }
        });

        binding.searchUser.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().searchUser("user2");
            }
        });

        binding.addUser.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().addContact(Long.parseLong(binding.userId.getText().toString()));
            }
        });

        binding.sendTextMessage.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().sendTextMessage("你好",Long.parseLong(binding.userId.getText().toString()));
            }
        });

        binding.getContactRequests.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().getContactRequests();
            }
        });

        binding.checkContactRequests.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().checkContactReq(Long.parseLong(binding.userId.getText().toString()),true);
            }
        });
        binding.createContactGroupRequest.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().createContactGroup("zhangsan");
            }
        });

        binding.moveContactGroupRequest.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().moveContactGroup(Long.parseLong(binding.groupId.getText().toString()),Long.parseLong(binding.userId.getText().toString()));
            }
        });

        binding.deleteContact.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().deleteContact(Long.parseLong(binding.userId.getText().toString()));
            }
        });

        binding.blockContact.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().blockContact(Long.parseLong(binding.userId.getText().toString()),true);
            }
        });

        binding.reportIllegalUser.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().reportIllegalUser("搞黄色","搞黄色",Long.parseLong(binding.userId.getText().toString()));
            }
        });

        binding.sendGroupMessage.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().sendGroupMessage("搞黄色",Long.parseLong(binding.groupId.getText().toString()));
            }
        });
        binding.sendChannelMessage.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                CCClient.getInstance().sendChannelMessage("搞黄色",Long.parseLong(binding.channelId.getText().toString()));
            }
        });


    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
        binding = null;
    }

}